#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>


typedef struct maillondept {
    char departement[30];
    int nbPlaces;
    char nom[30];
    struct maillondept* suiv;
}MaillonDept;


typedef MaillonDept* ListeDept;

typedef struct {
    char ville[30];
    ListeDept idDept;
}VilleIUT;

ListeDept creerListeDept(void);

ListeDept ajouterEnTeteDept(ListeDept l, char* dept, char* nom, int nbP);

ListeDept insererDept(ListeDept l, char *dept, char *nom, int nbP);

void affichageListeDept(ListeDept l);

VilleIUT lireVille(FILE *flot);

ListeDept traiterDept(ListeDept l, FILE *flot);

VilleIUT** chargementVille(char* nomFich, int tphys, int* tailleL);

ListeDept supprimerDept(ListeDept l, char *code);

int longueurListe(ListeDept l);

void SauvegarderIUT(VilleIUT** tabV, int tailleL);

void SauvegarderListe(ListeDept l, FILE* flot);

bool verifSelection(void);

void creationDept(VilleIUT **tiut, int nbEle);

int rechVille(VilleIUT **tiut, int nbEle, char code[], int *trouve);